<?php

/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package resort_motel
 */

 function resort_motel_customize_css() {
    ?>
    <style type="text/css">
        :root {
            --primary-color: <?php echo esc_html( get_theme_mod( 'resort_motel_primary_color', '#2eb0d0' ) ); ?>;
        }
    </style>
    <?php
}
add_action( 'wp_head', 'resort_motel_customize_css' );

function resort_motel_enqueue_selected_fonts() {
    $resort_motel_fonts_url = resort_motel_get_fonts_url();
    if (!empty($resort_motel_fonts_url)) {
        wp_enqueue_style('resort-motel-google-fonts', $resort_motel_fonts_url, array(), null);
    }
}
add_action('wp_enqueue_scripts', 'resort_motel_enqueue_selected_fonts');

function resort_motel_layout_customizer_css() {
    $resort_motel_margin = get_theme_mod('resort_motel_layout_width_margin', 50);
    ?>
    <style type="text/css">
        body.site-boxed--layout #page  {
            margin: 0 <?php echo esc_attr($resort_motel_margin); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_layout_customizer_css');

function resort_motel_blog_layout_customizer_css() {
    // Retrieve the blog layout option
    $resort_motel_blog_layout_option = get_theme_mod('resort_motel_blog_layout_option_setting', 'Left');

    // Initialize custom CSS variable
    $resort_motel_custom_css = '';

    // Generate custom CSS based on the layout option
    if ($resort_motel_blog_layout_option === 'Default') {
        $resort_motel_custom_css .= '.mag-post-detail { text-align: center; }';
    } elseif ($resort_motel_blog_layout_option === 'Left') {
        $resort_motel_custom_css .= '.mag-post-detail { text-align: left; }';
    } elseif ($resort_motel_blog_layout_option === 'Right') {
        $resort_motel_custom_css .= '.mag-post-detail { text-align: right; }';
    }

    // Output the combined CSS
    ?>
    <style type="text/css">
        <?php echo wp_kses($resort_motel_custom_css, array( 'style' => array(), 'text-align' => array() )); ?>
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_blog_layout_customizer_css');

function resort_motel_sidebar_width_customizer_css() {
    $resort_motel_sidebar_width = get_theme_mod('resort_motel_sidebar_width', '30');
    ?>
    <style type="text/css">
        .right-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: auto <?php echo esc_attr($resort_motel_sidebar_width); ?>%;
        }
        .left-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: <?php echo esc_attr($resort_motel_sidebar_width); ?>% auto;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_sidebar_width_customizer_css');

if ( ! function_exists( 'resort_motel_get_page_title' ) ) {
    function resort_motel_get_page_title() {
        $resort_motel_title = '';

        if (is_404()) {
            $resort_motel_title = esc_html__('Page Not Found', 'resort-motel');
        } elseif (is_search()) {
            $resort_motel_title = esc_html__('Search Results for: ', 'resort-motel') . esc_html(get_search_query());
        } elseif (is_home() && !is_front_page()) {
            $resort_motel_title = esc_html__('Blogs', 'resort-motel');
        } elseif (function_exists('is_shop') && is_shop()) {
            $resort_motel_title = esc_html__('Shop', 'resort-motel');
        } elseif (is_page()) {
            $resort_motel_title = get_the_title();
        } elseif (is_single()) {
            $resort_motel_title = get_the_title();
        } elseif (is_archive()) {
            $resort_motel_title = get_the_archive_title();
        } else {
            $resort_motel_title = get_the_archive_title();
        }

        return apply_filters('resort_motel_page_title', $resort_motel_title);
    }
}

if ( ! function_exists( 'resort_motel_has_page_header' ) ) {
    function resort_motel_has_page_header() {
        // Default to true (display header)
        $resort_motel_return = true;

        // Custom conditions for disabling the header
        if ('hide-all-devices' === get_theme_mod('resort_motel_page_header_visibility', 'all-devices')) {
            $resort_motel_return = false;
        }

        // Apply filters and return
        return apply_filters('resort_motel_display_page_header', $resort_motel_return);
    }
}

if ( ! function_exists( 'resort_motel_page_header_style' ) ) {
    function resort_motel_page_header_style() {
        $resort_motel_style = get_theme_mod('resort_motel_page_header_style', 'default');
        return apply_filters('resort_motel_page_header_style', $resort_motel_style);
    }
}

function resort_motel_page_title_customizer_css() {
    $resort_motel_layout_option = get_theme_mod('resort_motel_page_header_layout', 'left');
    ?>
    <style type="text/css">
        .asterthemes-wrapper.page-header-inner {
            <?php if ($resort_motel_layout_option === 'flex') : ?>
                display: flex;
                justify-content: space-between;
                align-items: center;
            <?php else : ?>
                text-align: <?php echo esc_attr($resort_motel_layout_option); ?>;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_page_title_customizer_css');

function resort_motel_pagetitle_height_css() {
    $resort_motel_height = get_theme_mod('resort_motel_pagetitle_height', 50);
    ?>
    <style type="text/css">
        header.page-header {
            padding: <?php echo esc_attr($resort_motel_height); ?>px 0;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_pagetitle_height_css');

function resort_motel_site_logo_width() {
    $resort_motel_site_logo_width = get_theme_mod('resort_motel_site_logo_width', 200);
    ?>
    <style type="text/css">
        .site-logo img {
            max-width: <?php echo esc_attr($resort_motel_site_logo_width); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_site_logo_width');

function resort_motel_menu_font_size_css() {
    $resort_motel_menu_font_size = get_theme_mod('resort_motel_menu_font_size', 15);
    ?>
    <style type="text/css">
        .main-navigation a {
            font-size: <?php echo esc_attr($resort_motel_menu_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_menu_font_size_css');

function resort_motel_sidebar_widget_font_size_css() {
    $resort_motel_sidebar_widget_font_size = get_theme_mod('resort_motel_sidebar_widget_font_size', 21);
    ?>
    <style type="text/css">
        h2.wp-block-heading,aside#secondary .widgettitle,aside#secondary .widget-title {
            font-size: <?php echo esc_attr($resort_motel_sidebar_widget_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_sidebar_widget_font_size_css');

// Woocommerce Related Products Settings
function resort_motel_related_product_css() {
    $resort_motel_related_product_show_hide = get_theme_mod('resort_motel_related_product_show_hide', true);

    if ( $resort_motel_related_product_show_hide != true) {
        ?>
        <style type="text/css">
            .related.products {
                display: none;
            }
        </style>
        <?php
    }
}
add_action('wp_head', 'resort_motel_related_product_css');

// Featured Image Dimension
function resort_motel_custom_featured_image_css() {
    $resort_motel_dimension = get_theme_mod('resort_motel_blog_post_featured_image_dimension', 'default');
    $resort_motel_width = get_theme_mod('resort_motel_blog_post_featured_image_custom_width', '');
    $resort_motel_height = get_theme_mod('resort_motel_blog_post_featured_image_custom_height', '');
    
    if ($resort_motel_dimension === 'custom' && $resort_motel_width && $resort_motel_height) {
        $resort_motel_custom_css = "body:not(.single-post) .mag-post-single .mag-post-img img { width: {$resort_motel_width}px !important; height: {$resort_motel_height}px !important; }";
        wp_add_inline_style('resort-motel-style', $resort_motel_custom_css);
    }
}
add_action('wp_enqueue_scripts', 'resort_motel_custom_featured_image_css');

// Featured Image Border Radius
function resort_motel_featured_image_border_radius_css() {
    $resort_motel_featured_image_border_radius = get_theme_mod('resort_motel_featured_image_border_radius', 10);
    ?>
    <style type="text/css">  
        .mag-post-single img {
            border-radius: <?php echo esc_attr($resort_motel_featured_image_border_radius); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_featured_image_border_radius_css');

// Woocommerce Product Sale Position 
function resort_motel_product_sale_position_customizer_css() {
    $resort_motel_layout_option = get_theme_mod('resort_motel_product_sale_position', 'left');
    ?>
    <style type="text/css">
        .woocommerce ul.products li.product .onsale {
            <?php if ($resort_motel_layout_option === 'left') : ?>
                right: auto;
                left: 0px;
            <?php else : ?>
                left: auto;
                right: 0px;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_product_sale_position_customizer_css');  

//Footer Social Icon Alignment
function resort_motel_footer_icons_alignment_css() {
    $resort_motel_footer_social_align = get_theme_mod( 'resort_motel_footer_social_align', 'center' );   
    ?>
    <style type="text/css">
        .socialicons {
            text-align: <?php echo esc_attr( $resort_motel_footer_social_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .socialicons {
                text-align: center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'resort_motel_footer_icons_alignment_css' );

//Copyright Alignment
function resort_motel_footer_copyright_alignment_css() {
    $resort_motel_footer_bottom_align = get_theme_mod( 'resort_motel_footer_bottom_align', 'center' );   
    ?>
    <style type="text/css">
        .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
            justify-content: <?php echo esc_attr( $resort_motel_footer_bottom_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
                justify-content: center;
                text-align:center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'resort_motel_footer_copyright_alignment_css' );

//Copyright Font Size
function resort_motel_copyright_font_size_css() {
    $resort_motel_copyright_font_size = get_theme_mod('resort_motel_copyright_font_size', 16);
    ?>
    <style type="text/css">
        .site-footer-bottom .site-info span {
            font-size: <?php echo esc_attr($resort_motel_copyright_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_copyright_font_size_css');

// Preloader Background Color Setting
function resort_motel_preloader_background_colors_css() {
    $resort_motel_preloader_background_color_setting = get_theme_mod('resort_motel_preloader_background_color_setting', '');
        // Only output CSS if a color is set
        if (empty($resort_motel_preloader_background_color_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-color: <?php echo esc_attr($resort_motel_preloader_background_color_setting); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_preloader_background_colors_css');

// Preloader Background Image Setting
function resort_motel_preloader_background_image_css() {
    $resort_motel_preloader_background_image_setting = get_theme_mod('resort_motel_preloader_background_image_setting', '');
        // Only output CSS if the background image is set
        if (empty($resort_motel_preloader_background_image_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-image: url('<?php echo esc_url($resort_motel_preloader_background_image_setting); ?>');
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
    </style>
    <?php
}
add_action('wp_head', 'resort_motel_preloader_background_image_css');

//Footer Heading Alignment
function resort_motel_footer_heading_alignment_css() {
    $resort_motel_footer_header_align = get_theme_mod( 'resort_motel_footer_header_align', 'left' );   
    ?>
    <style type="text/css">
        .site-footer h4, footer#colophon h2.wp-block-heading, footer#colophon .widgettitle, footer#colophon .widget-title {
            text-align: <?php echo esc_attr( $resort_motel_footer_header_align ); ?> 
        }
    </style>
    <?php
}
add_action( 'wp_head', 'resort_motel_footer_heading_alignment_css' );

//First Capital Letter
function resort_motel_show_first_caps() {
	$resort_motel_first_caps = get_theme_mod('resort_motel_show_first_caps', false);
	$resort_motel_css = '';
	if ( $resort_motel_first_caps ) {
	$resort_motel_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
		    font-size: 55px;
			font-weight: 600;
			margin-right: 6px;
			line-height: 1;
			display: inline-block;
			vertical-align: baseline;
		}';
	} else {
		$resort_motel_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
			display: none;
		}';
	}
	wp_add_inline_style( 'resort-motel-style', $resort_motel_css );
}
add_action( 'wp_enqueue_scripts', 'resort_motel_show_first_caps' );

// Topbar Padding Dynamic CSS
function resort_motel_topbar_padding_css(){
	$padding = get_theme_mod('resort_motel_topbar_padding');
	$custom_css = ".top-header-part{
		padding-top: {$padding}px !important;
		padding-bottom: {$padding}px !important;
	}";
	wp_add_inline_style('resort-motel-style',$custom_css);

}
add_action('wp_enqueue_scripts','resort_motel_topbar_padding_css');

// Banner Button Color
function resort_motel_banner_button_color_css() {
    $btn_color = get_theme_mod('resort_motel_banner_btn_color');
    $btn_bg_color = get_theme_mod('resort_motel_banner_btn_bg_color');
    $btn_border_color = get_theme_mod('resort_motel_banner_btn_border_color');

    $custom_css = '';
    if ( !empty($btn_color) ) {
        $custom_css .= "
        .banner-slider-btn a.asterthemes-button,
        .banner-slider-btn-1 a.asterthemes-button{
            color: {$btn_color};
        }";
    }
    if ( !empty($btn_bg_color) ) {
        $custom_css .= "
        .banner-slider-btn a.asterthemes-button,
        .banner-slider-btn-1 a.asterthemes-button{
            background-color: {$btn_bg_color};
        }";
    }
     if ( !empty($btn_border_color) ) {
        $custom_css .= "
        .banner-slider-btn a.asterthemes-button,
        .banner-slider-btn-1 a.asterthemes-button{
            border: 4px solid {$btn_border_color};
        }";
    }

    wp_add_inline_style('resort-motel-style', $custom_css);
}
add_action('wp_enqueue_scripts','resort_motel_banner_button_color_css');